@import url("https://fonts.googleapis.com/css2?family=Work+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

    body {
      font-family: "Work Sans", sans-serif;
      background-color: #0a0a0a;
      background-size: cover;
      color: #fff;
      touch-action: manipulation;
    }



@media (pointer: coarse) {
    body {
        touch-action: pan-x pan-y;
    }
}

.navbar {
    background-color: transparent !important;
    transition: background-color 0.5s ease-in-out;
}

.navbar.scrolled {
    background-color: rgba(0, 0, 0, 0.8) !important;
}

.navbar.sticky-top {
    background-color: #fff;
    box-shadow: 0px 0px 10px rgba(0,0,0,0.3);
}

.navbar-brand {
    font-family: 'Luckiest Guy', cursive;
    font-size: 30px;
    color: #fff;
}

.card {
    background-color: #1f1f1f;
    color: #fff;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.card-text.description {
  height: 100px;
  overflow: hidden;
  text-overflow: ellipsis;
}
.card-text {
  height: 100px; /* mengatur tinggi deskripsi menjadi 100px */
  overflow: hidden; /* mengatur overflow pada deskripsi agar tidak keluar dari box */
}

.card-body {
  display: flex;
  flex-direction: column;
}

.card-body h5 {
  margin-bottom: 0.5rem; /* memberi jarak antara judul dan deskripsi */
}

.card-body .d-flex {
  margin-top: auto; /* mengatur margin top pada section harga agar posisinya tetap di bawah */
}
.btn-link {
  color: #ffffff !important;
}

.btn-link:hover {
  color: #ff0000 !important;
}
.btn-primary {
    background-color: #e50914;
    border-color: #e50914;
}

.btn-primary:hover {
    background-color: #b4060c;
    border-color: #b4060c;
}
    /* added CSS */
.navbar-nav .nav-link {
    color: #ff0000;
}

.nav-link:hover {
    color: #e50914;
}

.carousel-item {
    height: 100%;
}

.carousel-container {
    padding-bottom: 50px;
}

.card-img-top {
    width: 100%;
    height: 250px;
    object-fit: contain;
}
